﻿@model DAL.Terminales
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<div id="paso-1">
    <h2>Seleccione Cine</h2>
    <hr />
    <div class="row" id="row-paso-1">
        <div class="col-sm-3">
            <div class="bg-secondary border border-secondary shadow text-center text-white div-touch mt-2 p-1">
                <h5>Cine Mechenien</h5>
            </div>
        </div>

    </div>
</div>
<button class="btn btn-primary pr-4 pl-4" type="button" id="btnCodigo"><h1><i class="fa fa-keyboard-o"></i></h1></button>
<div id="paso-2" style="visibility:visible">
    <h2>Seleccione Película</h2>
    <hr />
    <div class="row">
        <div class="col-sm-3">
            <div class="bg-secondary border border-secondary shadow text-center text-white div-touch m-2 p-2">
                <h5>Alicia en el Pais de las Maravillas</h5>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="bg-secondary border border-secondary shadow text-center text-white div-touch m-1 p-1">
                <h5>Cine Mechenien</h5>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="bg-secondary border border-secondary shadow text-center text-white div-touch m-1 p-1">
                <h5>Cine Mechenien</h5>
            </div>
        </div>

    </div>
</div>

<div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog modal-lg mw-100 mr-5 ml-5" role="document" id="contenidoModal">
    </div>
</div>


@section scripts {
    <script>
        $(document).ajaxStart($.blockUI).ajaxStop($.unblockUI);


        var secounds = 481;
        var interval = setInterval(function () {

            secounds = secounds - 1;

            var minutes = Math.floor((secounds % 3600) / 60);
            var seconds = secounds % 60;

            //Anteponiendo un 0 a los minutos si son menos de 10
            minutes = minutes < 10 ? '0' + minutes : minutes;

            //Anteponiendo un 0 a los segundos si son menos de 10
            seconds = seconds < 10 ? '0' + seconds : seconds;

            var result = minutes + ":" + seconds;

            $('#timer').text(result);

            if (secounds == 0) {

                clearInterval(interval);
                window.location = '@Url.Content("~/")';
            }

        }, 1000);

        function GetContent() {
            alert('prm');
        };

        $(document).ready(function () {
            $('#btnCodigo').click(function () {
                $('#contenidoModal').load('@Url.Content("~/teclado/alfanumerico")', function () {
                    $('#modal').modal('show');
                    $('#lblTituloTeclado').text('INGRESE CODIGO DE RETIRO');
                    $('#hdTipoTeclado').val('texto');
                    $('#hdRetorno').val('codigo');
                    $('#hdMax').val('30');
                });
            });

            $("#mensaje").css('visibility', 'hidden');

            $('#btnImprimir').click(function () {
                $("#mensaje").css('visibility', 'hidden');
                var valid = true;
                if ($('#codigo').val().length == 0) {
                    valid = false;
                }
                if ($('#documento').val().length == 0) {
                    valid = false;
                }
                if (valid == false) {
                    $("#mensaje").text('Verifique que los datos solicitados estén completos');
                    $("#mensaje").css('visibility', 'visible');
                }
                if (valid == true) {
                    var data = {
                    codigo: $('#codigo').val(),
                    documento: $('#documento').val()
                    }
                    
                    $.ajax({
                        type: 'POST',
                        url: '@Url.Content("~/home/entregar")',
                        data: JSON.stringify(data),
                        contentType: 'application/json',

                        success: function (r) {
                            if (r.response) {
                            $.ajax({
                                type: 'POST',
                                url: r.href,
                                contentType: 'application/json',

                                success: function () {
                                    window.location.href = '@Url.Content("~/home/mensaje")';
                                },
                                error: function (jqXHR, textStatus, errorThrown) {
                                console.log(textStatus + ' ' + errorThrown);
                                }
                            });
                        window.location.href = r.href;
                        } else {
                        $("#mensaje").text(r.message);
                        $("#mensaje").css('visibility', 'visible');
                        }
                        },
                        error: function (jqXHR, textStatus, errorThrown) {
                        console.log(textStatus + ' ' + errorThrown);
                        }
                    });
                }

            });
        })
    </script>
}
